package com.company.runtimeemailprops.view.sendemail;


import com.company.runtimeemailprops.view.main.MainView;
import com.vaadin.flow.component.ClickEvent;
import com.vaadin.flow.router.Route;
import io.jmix.email.EmailInfo;
import io.jmix.email.EmailInfoBuilder;
import io.jmix.email.Emailer;
import io.jmix.flowui.kit.component.button.JmixButton;
import io.jmix.flowui.view.StandardView;
import io.jmix.flowui.view.Subscribe;
import io.jmix.flowui.view.ViewController;
import io.jmix.flowui.view.ViewDescriptor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mail.javamail.JavaMailSender;

@Route(value = "send-email-view", layout = MainView.class)
@ViewController("SendEmailView")
@ViewDescriptor("send-email-view.xml")
public class SendEmailView extends StandardView {
    @Autowired
    private Emailer emailer;

    @Subscribe(id = "sendEmailBtn", subject = "clickListener")
    public void onSendEmailBtnClick(final ClickEvent<JmixButton> event) {
        EmailInfo info = EmailInfoBuilder.create("support@company.com", "My request", "No access to program")
                .build();

        emailer.sendEmailAsync(info);
    }
}